

math.randomseed(os.time())

require("Tile")
require("Player")

map = {1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
       1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
       1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
       1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,1,
       1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,
       1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,
       1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,
       1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,
       1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,
       1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,
       1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
       1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1}


function love.load()
  for i = 1 ,12 do
    for j = 1,16 do
      if( map[((i-1)*16)+(j)] == 1) then
        Tile[#Tile + 1] = Tile.new((j-1)*50,(i-1)*50)
      end
    end
  end
end

function love.update(dt)
  Player.update(dt)
end

function love.draw()
  for _,v in ipairs(Tile) do v:draw() end
  Player.draw()
end